Index: /extensions/nbc_HistoryIPExcluder/trunk/language/es_ES/description.txt
===================================================================
--- /extensions/nbc_HistoryIPExcluder/trunk/language/es_ES/description.txt	(revision 5135)
+++ /extensions/nbc_HistoryIPExcluder/trunk/language/es_ES/description.txt	(revision 5135)
@@ -0,0 +1,1 @@
+Permite la exclusión de un IP o de una playa de IP de l reseña histórica.
Index: /extensions/nbc_HistoryIPExcluder/trunk/language/es_ES/index.php
===================================================================
--- /extensions/nbc_HistoryIPExcluder/trunk/language/es_ES/index.php	(revision 5135)
+++ /extensions/nbc_HistoryIPExcluder/trunk/language/es_ES/index.php	(revision 5135)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/nbc_HistoryIPExcluder/trunk/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/nbc_HistoryIPExcluder/trunk/language/es_ES/plugin.lang.php	(revision 5135)
+++ /extensions/nbc_HistoryIPExcluder/trunk/language/es_ES/plugin.lang.php	(revision 5135)
@@ -0,0 +1,30 @@
+<?php
+global $lang;
+
+$lang['HIPE_admin_title'] = 'NBC History IP Excluder';
+$lang['HIPE_description'] = 'Este plugin permite excluir de la reseña histórica y las estadísticas del IP o las playas d \'IP. <br> Su activación bloquea el registro en la mesa * _history IP especificados en el tablero más abajo.';
+$lang['HIPE_admin_section1'] = 'IP a excluir';
+$lang['HIPE_admin_description1'] = 'Coja el IP completo o las playas de IP a excluir (Uno por línea) En el marco(ejecutivo) más abajo. Para indicar una playa de IP, utilice el carácter mono "%".<br>Por Ejemplo : 74.6.2.1 o 74.6.%<br><br>';
+$lang['HIPE_save_config']='Configuración registrada.';
+$lang['HIPE_CleanHist']='Limpiar la reseña histórica';
+
+$lang['HIPE_admin_section2'] = 'Demandas sobre la reseña histórica';
+$lang['HIPE_admin_section3'] = 'El resultado de la demanda sobre la reseña histórica';
+$lang['HIPE_IPByMember'] = 'IP de usuarios';
+$lang['HIPE_IPByMember_description'] = 'Búsqueda y fija el IP de usuarios inscritos, (selección por IP)';
+$lang['HIPE_OnlyGuest'] = 'IP de invitados solamente';
+$lang['HIPE_OnlyGuest_description'] = 'Búsqueda y anuncio únicamente el IP utilizados por invitados, y el número de visitas asociados (selección por número de visitas por IP)';
+$lang['HIPE_IPnoGuest'] = '';
+$lang['HIPE_IPnoGuest_description'] = '';
+
+$lang['HIPE_IPForMember'] = 'IP de un usuario';
+$lang['HIPE_IPForMember_description'] = 'Búsqueda y fija el IP asociados con un usuario inscrito (selección por IP)';
+$lang['HIPE_MemberForIp'] = 'Usuarios de un IP';
+$lang['HIPE_MemberForIp_description'] = 'Búsqueda y fija a los usuarios pegados a un IP (selección por usuario)';
+
+$lang['HIPE_resquet_ok'] = 'Demanda ejecutada.';
+$lang['HIPE_hist_cleaned'] = 'Limpieza de la reseña histórica efectuada.';
+
+$lang['IP_geolocalisation'] = 'Geolocalización';
+$lang['submit'] = 'Someter';
+?>