Index: /extensions/nbc_HistoryIPExcluder/branches/2.0/language/hu_HU/description.txt
===================================================================
--- /extensions/nbc_HistoryIPExcluder/branches/2.0/language/hu_HU/description.txt	(revision 5148)
+++ /extensions/nbc_HistoryIPExcluder/branches/2.0/language/hu_HU/description.txt	(revision 5148)
@@ -0,0 +1,1 @@
+Lehetővé teszi IP címek vagy IP tartományok kizárását, események felülvizsgálatát.
Index: /extensions/nbc_HistoryIPExcluder/branches/2.0/language/hu_HU/index.php
===================================================================
--- /extensions/nbc_HistoryIPExcluder/branches/2.0/language/hu_HU/index.php	(revision 5148)
+++ /extensions/nbc_HistoryIPExcluder/branches/2.0/language/hu_HU/index.php	(revision 5148)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/nbc_HistoryIPExcluder/branches/2.0/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/nbc_HistoryIPExcluder/branches/2.0/language/hu_HU/plugin.lang.php	(revision 5148)
+++ /extensions/nbc_HistoryIPExcluder/branches/2.0/language/hu_HU/plugin.lang.php	(revision 5148)
@@ -0,0 +1,29 @@
+<?php
+global $lang;
+
+$lang['HIPE_admin_title'] = 'NBC History IP Excluder';
+$lang['HIPE_description'] = 'Ezzel a bővítménnyel kizárhat IP címeket, vagy IP tartományokat az előzményekből és a statisztikából. <br>A blokkolt rekordokat az IP *_history táblában az alábbi táblázat tartalmazza.';
+$lang['HIPE_admin_section1'] = 'IP-k kizárása';
+$lang['HIPE_admin_description1'] = 'IP címek kizárásához írja be az alábbi mezőbe a kizárandó IP-ket, vagy adjon meg IP tartományokat (soronként egyet). IP tartomány kizárásához használja a helyettesítő karaktert "%".<br>Példa : 74.6.1.2 vagy 74.6.%';
+$lang['HIPE_save_config']='Beállítások mentve.';
+$lang['HIPE_CleanHist']='Előzmények törlése';
+$lang['submit']='Elküld';
+$lang['HIPE_admin_section2'] = 'Előzmények tábla lekérdezése';
+$lang['HIPE_admin_section3'] = 'Előzmények lekérdezésének eredménye';
+$lang['HIPE_IPByMember'] = 'Felhasználói IP-k';
+$lang['HIPE_IPByMember_description'] = 'Tagok által használt IP címeket mutatja IP cím szerint rendezve.';
+$lang['HIPE_OnlyGuest'] = 'Csak vendég IP-k';
+$lang['HIPE_OnlyGuest_description'] = 'Az előzmények tábla szerint rendezve csak azon IP címeket mutatja melyekről a vendégek meglátogatták az oldalt. Felsorolja az IP címeket és azt, hogy az adott IP-ről hányszor kapcsolódtak.';
+$lang['HIPE_IPnoGuest'] = '';
+$lang['HIPE_IPnoGuest_description'] = '';
+
+$lang['HIPE_IPForMember'] = 'IP cím keresése felhasználónév szerint';
+$lang['HIPE_IPForMember_description'] = 'Megkeresi és megjeleníti a regisztrált felhasználó  IP címét (rendezve IP szerint).';
+$lang['HIPE_MemberForIp'] = 'Felhasználó keresése IP cím szerint';
+$lang['HIPE_MemberForIp_description'] = 'Megkeresi és megjeleníti az IP címről csatlakozott felhasználót (rendezve név szerint).';
+
+$lang['HIPE_resquet_ok'] = 'Sikeres lekérdezés.';
+$lang['HIPE_hist_cleaned'] = 'Az előzmények tábla tisztítása kész.';
+
+$lang['IP_geolocalisation'] = 'Földrajzi hely';
+?>