Index: /extensions/pLoader/trunk/locale/hu_HU/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/hu_HU/pLoader.po	(revision 5150)
+++ /extensions/pLoader/trunk/locale/hu_HU/pLoader.po	(revision 5151)
@@ -404,220 +404,283 @@
 msgstr "Eltávolítás (feltöltött képek)"
 
+msgid "Activate watermark"
+msgstr "Vízjel aktiválása"
+
+msgid "Activate watermark on high definition"
+msgstr "Vízjel aktiválása nagy felbontásban"
+
+msgid "Text"
+msgstr "Szöveg"
+
+msgid "Text size"
+msgstr "Szöveg méret:"
+
+msgid "Color"
+msgstr "Szín"
+
+msgid "Position"
+msgstr "Pozició:"
+
+msgid "Top margin"
+msgstr "Felső margó:"
+
+msgid "Left margin"
+msgstr "Bal margó:"
+
+msgid "White"
+msgstr "Fehér"
+
+msgid "Black"
+msgstr "Fekete"
+
+msgid "Top"
+msgstr "Fent"
+
+msgid "Top left"
+msgstr "Balra fent"
+
+msgid "Top right"
+msgstr "Jobbra fent"
+
+msgid "Bottom"
+msgstr "Lent"
+
+msgid "Bottom left"
+msgstr "Balra lent"
+
+msgid "Bottom right"
+msgstr "Jobbra lent"
+
+msgid "Center"
+msgstr "Középen"
+
+msgid "Left"
+msgstr "Balra"
+
+msgid "Right"
+msgstr "Jobbra"
+
+msgid "my watermark"
+msgstr "vízjel"
+
+msgid "Show"
+msgstr "Mutat"
+
+msgid "All"
+msgstr "Összes"
+
+msgid "Selected"
+msgstr "Kiválasztott"
+
+msgid "Not selected"
+msgstr "Nem kiválasztott"
+
+msgid "Uploading"
+msgstr "Feltöltés"
+
+msgid "Uploading resized"
+msgstr "Átméretezett kép feltöltés"
+
+msgid "Uploading thumbnail"
+msgstr "Bélyegkép feltöltés"
+
+msgid "Uploading high definition"
+msgstr "HD kép feltöltés"
+
+msgid "Checksum for"
+msgstr "Ellenőrző összeg"
+
+msgid "Communication error with"
+msgstr "Kommunikációs hiba"
+
+msgid "Thumbnail image done for"
+msgstr "Bélyegkép kész"
+
+msgid "HD image done for"
+msgstr "HD kép kész"
+
+msgid "Resized image done for"
+msgstr "Átméretezett kép kész"
+
+msgid "Uploaded"
+msgstr "Feltöltés"
+
+msgid "Preparing resized image for"
+msgstr "Átméretezett kép készítés"
+
+msgid "Close"
+msgstr "Bezár"
+
+msgid "on"
+msgstr "be"
+
+msgid "photos added to the selection"
+msgstr "hozzáadott képek száma kiválasztásból"
+
+msgid "errors"
+msgstr "hibás"
+
+msgid "Yes, use HD resized of the original photo"
+msgstr "Igen, eredeti kép átméretezése"
+
+msgid "Yes, use a copy of the original photo"
+msgstr "Igen, másolat az eredeti képről"
+
+msgid "HD image width"
+msgstr "HD kép szélesség:"
+
+msgid "HD image height"
+msgstr "HD kép magasság:"
+
+msgid "HD image jpeg quality"
+msgstr "HD kép JPEG minőség:"
+
+msgid "HD image filter"
+msgstr "HD kép szűrő:"
+
+msgid "HD image blur"
+msgstr "HD kép elmosás:"
+
+msgid "HD image interlace"
+msgstr "HD kép interlace:"
+
+msgid "nothing"
+msgstr "semmi"
+
+msgid "replace"
+msgstr "csere"
+
+msgid "fill if empty (only replace properties currently empty in Piwigo)"
+msgstr "töltse ki ha üres (csak az üres helyekre Galéria tulajdonságoknál)"
+
+msgid "append (keep existing and add new)"
+msgstr "hozzáfűzés (jelenlegi megtartása és új készítése)"
+
+msgid "Do not ask me again"
+msgstr "Ne kérdezze meg újra"
+
+msgid "A least one photo has already been added in the past."
+msgstr "Legalább egy képet már hozzáadtak"
+
+msgid "What shall we do with files? (thumbnail, resized, high resolution)"
+msgstr "Mit csináljunk a fájlokkal? (bélyegkép, átméretezett, nagy felbontás)"
+
+msgid "What shall we do with single value properties?(caption, comment, author, create date)"
+msgstr "Mit tegyünk az egyedi jellemzőkkel? (képaláírás, megjegyzés, szerző, készítés időpontja)"
+
+msgid "What shall we do with multiple values properties? (categories, tags)"
+msgstr "Mit tegyünk az egyéb jellemzőkkel? (kategóriák, cimkék)"
+
+msgid "Photo update management"
+msgstr "Kép frissítés kezelése"
+
+msgid "Who can see the photo?"
+msgstr "Ki láthatja a képeket?"
+
+msgid "everybody"
+msgstr "mindenki"
+
+msgid "contacts"
+msgstr "kapcsolatok"
+
+msgid "friends"
+msgstr "barátok"
+
+msgid "family"
+msgstr "család"
+
+msgid "admins"
+msgstr "adminisztrátor"
+
+msgid "What shall we do with privacy level?"
+msgstr "Mit tegyünk a hozzáférési szintekkel?"
+
+msgid "Thumbnail and caption"
+msgstr "Bélyegkép és képaláírás"
+
+msgid "Property list"
+msgstr "Tulajdonságok listája"
+
+msgid "How photo selection is displayed"
+msgstr "A kiválasztott kép megjelenése"
+
+msgid "Use original"
+msgstr "Eredeti"
+
+msgid "Use resized original"
+msgstr "Átméretezett"
+
+msgid "Web sized"
+msgstr "Képek mérete a Weben"
+
+msgid "Do you want to create"
+msgstr "Létrehozzuk?"
+
+msgid "Transfer"
+msgstr "Végrehajt"
+
+msgid "Click links below to start using pLoader."
+msgstr "Itt indíthatja a pLoader programot."
+
+msgid "Add a new album."
+msgstr "Új album hozzáadása."
+
+msgid "Add photos to the selection."
+msgstr "Képek kiválasztása."
+
+msgid "Upload the photo selection into your album."
+msgstr "Album feltöltése."
+
+msgid "Photo size"
+msgstr "Kép mérete"
+
+msgid "Maximum width"
+msgstr "Maximális szélesség"
+
+msgid "Maximum height"
+msgstr "Maximális magasság"
+
+msgid "What is the destination category?"
+msgstr "Mi legyen a cél kategória?"
+
+msgid "What is the destination album?"
+msgstr "Mi legyen a cél album?"
+
+msgid "Caption"
+msgstr "Felirat"
+
+msgid "Who can see?"
+msgstr "Ki láthatja ?"
+
+msgid "You have selected a batch of %s photos"
+msgstr "Kiválasztva %s kép"
+
+msgid "Changes apply to the whole batch"
+msgstr "Kijelölt képek módosítása"
+
+msgid "Drag photos here to get started"
+msgstr "Húzza át a képeket ide a kezdéshez"
+
+msgid "Or click"
+msgstr "Vagy kattintson"
+
+msgid "to choose files on your computer"
+msgstr "válassza ki a fájlokat a számítógépről"
+
+msgid "Add photos"
+msgstr "Képek hozzáadása"
+
+msgid "Remove selected photos"
+msgstr "Kijelölt képek eltávolítása"
+
+msgid "Properties of the %s selected photos"
+msgstr "Tulajdonságok: %s (kiválasztott kép)"
+
+msgid "Tags of the %s selected photos"
+msgstr "Cimkék: %s (kiválasztott kép)"
+
 msgid "Watermark"
 msgstr "Vízjel"
 
-msgid "Activate watermark"
-msgstr "Vízjel aktiválása"
-
-msgid "Activate watermark on high definition"
-msgstr "Vízjel aktiválása nagy felbontásban"
-
-msgid "Text"
-msgstr "Szöveg"
-
-msgid "Text size"
-msgstr "Szöveg méret:"
-
-msgid "Color"
-msgstr "Szín"
-
-msgid "Position"
-msgstr "Pozició:"
-
-msgid "Top margin"
-msgstr "Felső margó:"
-
-msgid "Left margin"
-msgstr "Bal margó:"
-
-msgid "White"
-msgstr "Fehér"
-
-msgid "Black"
-msgstr "Fekete"
-
-msgid "Top"
-msgstr "Fent"
-
-msgid "Top left"
-msgstr "Balra fent"
-
-msgid "Top right"
-msgstr "Jobbra fent"
-
-msgid "Bottom"
-msgstr "Lent"
-
-msgid "Bottom left"
-msgstr "Balra lent"
-
-msgid "Bottom right"
-msgstr "Jobbra lent"
-
-msgid "Center"
-msgstr "Középen"
-
-msgid "Left"
-msgstr "Balra"
-
-msgid "Right"
-msgstr "Jobbra"
-
-msgid "my watermark"
-msgstr "vízjel"
-
-msgid "Show"
-msgstr "Mutat"
-
-msgid "All"
-msgstr "Összes"
-
-msgid "Selected"
-msgstr "Kiválasztott"
-
-msgid "Not selected"
-msgstr "Nem kiválasztott"
-
-msgid "Uploading"
-msgstr "Feltöltés"
-
-msgid "Uploading resized"
-msgstr "Átméretezett kép feltöltés"
-
-msgid "Uploading thumbnail"
-msgstr "Bélyegkép feltöltés"
-
-msgid "Uploading high definition"
-msgstr "HD kép feltöltés"
-
-msgid "Checksum for"
-msgstr "Ellenőrző összeg"
-
-msgid "Communication error with"
-msgstr "Kommunikációs hiba"
-
-msgid "Thumbnail image done for"
-msgstr "Bélyegkép kész"
-
-msgid "HD image done for"
-msgstr "HD kép kész"
-
-msgid "Resized image done for"
-msgstr "Átméretezett kép kész"
-
-msgid "Uploaded"
-msgstr "Feltöltés"
-
-msgid "Preparing resized image for"
-msgstr "Átméretezett kép készítés"
-
-msgid "Close"
-msgstr "Bezár"
-
-msgid "on"
-msgstr "be"
-
-msgid "photos added to the selection"
-msgstr "hozzáadott képek száma kiválasztásból"
-
-msgid "errors"
-msgstr "hibás"
-
-msgid "Yes, use HD resized of the original photo"
-msgstr "Igen, eredeti kép átméretezése"
-
-msgid "Yes, use a copy of the original photo"
-msgstr "Igen, másolat az eredeti képről"
-
-msgid "HD image width"
-msgstr "HD kép szélesség:"
-
-msgid "HD image height"
-msgstr "HD kép magasság:"
-
-msgid "HD image jpeg quality"
-msgstr "HD kép JPEG minőség:"
-
-msgid "HD image filter"
-msgstr "HD kép szűrő:"
-
-msgid "HD image blur"
-msgstr "HD kép elmosás:"
-
-msgid "HD image interlace"
-msgstr "HD kép interlace:"
-
-msgid "nothing"
-msgstr "semmi"
-
-msgid "replace"
-msgstr "csere"
-
-msgid "fill if empty (only replace properties currently empty in Piwigo)"
-msgstr "töltse ki ha üres (csak az üres helyekre Galéria tulajdonságoknál)"
-
-msgid "append (keep existing and add new)"
-msgstr "hozzáfűzés (jelenlegi megtartása és új készítése)"
-
-msgid "Do not ask me again"
-msgstr "Ne kérdezze meg újra"
-
-msgid "A least one photo has already been added in the past."
-msgstr "Legalább egy képet már hozzáadtak"
-
-msgid "What shall we do with files? (thumbnail, resized, high resolution)"
-msgstr "Mit csináljunk a fájlokkal? (bélyegkép, átméretezett, nagy felbontás)"
-
-msgid "What shall we do with single value properties?(caption, comment, author, create date)"
-msgstr "Mit tegyünk az egyedi jellemzőkkel? (képaláírás, megjegyzés, szerző, készítés időpontja)"
-
-msgid "What shall we do with multiple values properties? (categories, tags)"
-msgstr "Mit tegyünk az egyéb jellemzőkkel? (kategóriák, cimkék)"
-
-msgid "Photo update management"
-msgstr "Kép frissítés kezelése"
-
-msgid "Who can see the photo?"
-msgstr "Ki láthatja a képeket?"
-
-msgid "everybody"
-msgstr "mindenki"
-
-msgid "contacts"
-msgstr "kapcsolatok"
-
-msgid "friends"
-msgstr "barátok"
-
-msgid "family"
-msgstr "család"
-
-msgid "admins"
-msgstr "adminisztrátor"
-
-msgid "What shall we do with privacy level?"
-msgstr "Mit tegyünk a hozzáférési szintekkel?"
-
-msgid "Thumbnail and caption"
-msgstr "Bélyegkép és képaláírás"
-
-msgid "Property list"
-msgstr "Tulajdonságok listája"
-
-msgid "How photo selection is displayed"
-msgstr "A kiválasztott kép megjelenése"
-
-msgid "Use original"
-msgstr "Eredeti"
-
-msgid "Use resized original"
-msgstr "Átméretezett"
-
-msgid "Web sized"
-msgstr "Képek mérete a Weben"
-
-msgid "Do you want to create"
-msgstr "Létrehozzuk?"
-
 msgid "Tags"
 msgstr "Cimke"
@@ -629,37 +692,2 @@
 msgstr "Kép exif adatai"
 
-msgid "Transfer"
-msgstr "Végrehajt"
-
-msgid "Click links below to start using pLoader."
-msgstr "Itt indíthatja a pLoader programot."
-
-msgid "Add a new album."
-msgstr "Új album hozzáadása."
-
-msgid "Add photos to the selection."
-msgstr "Képek kiválasztása."
-
-msgid "Upload the photo selection into your album."
-msgstr "Album feltöltése."
-
-msgid "Photo size"
-msgstr "Kép mérete"
-
-msgid "Maximum width"
-msgstr "Maximális szélesség"
-
-msgid "Maximum height"
-msgstr "Maximális magasság"
-
-msgid "What is the destination category?"
-msgstr "Mi legyen a cél kategória?"
-
-msgid "What is the destination album?"
-msgstr "Mi legyen a cél album?"
-
-msgid "Properties of the %s selected photos"
-msgstr "Tulajdonságok: %s (kiválasztott kép)"
-
-msgid "Tags of the %s selected photos"
-msgstr "Cimkék: %s (kiválasztott kép)"