Index: branches/gettext/themes/default/template/about.tpl
===================================================================
--- branches/gettext/themes/default/template/about.tpl	(revision 5144)
+++ branches/gettext/themes/default/template/about.tpl	(revision 5167)
@@ -4,5 +4,5 @@
       <li>
         <a href="{$U_HOME}" title="{'return to homepage'|@translate}">
-          <img src="{$themeconf.icon_dir}/Home.png" class="button" alt="{'Home'|@translate}">
+          <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}">
         </a>
       </li>
Index: branches/gettext/themes/default/template/comments.tpl
===================================================================
--- branches/gettext/themes/default/template/comments.tpl	(revision 5144)
+++ branches/gettext/themes/default/template/comments.tpl	(revision 5167)
@@ -3,5 +3,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/Home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'User comments'|@translate}</h2>
Index: branches/gettext/themes/default/template/identification.tpl
===================================================================
--- branches/gettext/themes/default/template/identification.tpl	(revision 5144)
+++ branches/gettext/themes/default/template/identification.tpl	(revision 5167)
@@ -7,5 +7,5 @@
       <li><a href="{$U_REGISTER}" title="{'Register'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/register.png" class="button" alt="{'Register'|@translate}"></a></li>
       {/if}
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/Home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Identification'|@translate}</h2>
Index: branches/gettext/themes/default/template/nbm.tpl
===================================================================
--- branches/gettext/themes/default/template/nbm.tpl	(revision 5144)
+++ branches/gettext/themes/default/template/nbm.tpl	(revision 5167)
@@ -3,5 +3,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/Home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Notification'|@translate}</h2>
Index: branches/gettext/themes/default/template/notification.tpl
===================================================================
--- branches/gettext/themes/default/template/notification.tpl	(revision 5144)
+++ branches/gettext/themes/default/template/notification.tpl	(revision 5167)
@@ -7,5 +7,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/Home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Notification'|@translate}</h2>
Index: branches/gettext/themes/default/template/password.tpl
===================================================================
--- branches/gettext/themes/default/template/password.tpl	(revision 5144)
+++ branches/gettext/themes/default/template/password.tpl	(revision 5167)
@@ -3,5 +3,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/Home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Password forgotten'|@translate}</h2>
Index: branches/gettext/themes/default/template/profile.tpl
===================================================================
--- branches/gettext/themes/default/template/profile.tpl	(revision 5144)
+++ branches/gettext/themes/default/template/profile.tpl	(revision 5167)
@@ -13,5 +13,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/Home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Profile'|@translate}</h2>
Index: branches/gettext/themes/default/template/register.tpl
===================================================================
--- branches/gettext/themes/default/template/register.tpl	(revision 5144)
+++ branches/gettext/themes/default/template/register.tpl	(revision 5167)
@@ -5,5 +5,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/Home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Registration'|@translate}</h2>
Index: branches/gettext/themes/default/template/search.tpl
===================================================================
--- branches/gettext/themes/default/template/search.tpl	(revision 5144)
+++ branches/gettext/themes/default/template/search.tpl	(revision 5167)
@@ -23,5 +23,5 @@
     <ul class="categoryActions">
       <li><a href="{$U_HELP}" onclick="popuphelp(this.href); return false;" title="{'Help'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/help.png" class="button" alt="(?)"></a></li>
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}" rel="Home"><img src="{$ROOT_URL}{$themeconf.icon_dir}/Home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}" rel="Home"><img src="{$ROOT_URL}{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Search'|@translate}</h2>
Index: branches/gettext/themes/default/template/tags.tpl
===================================================================
--- branches/gettext/themes/default/template/tags.tpl	(revision 5144)
+++ branches/gettext/themes/default/template/tags.tpl	(revision 5167)
@@ -11,5 +11,5 @@
 		{/if}
 
-			<li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/Home.png" class="button" alt="{'Home'|@translate}"></a></li>
+			<li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
 		</ul>
 		<h2>{'Tags'|@translate}</h2>
Index: branches/gettext/themes/default/template/upload.tpl
===================================================================
--- branches/gettext/themes/default/template/upload.tpl	(revision 5144)
+++ branches/gettext/themes/default/template/upload.tpl	(revision 5167)
@@ -9,5 +9,5 @@
   <div class="titrePage">
     <ul class="categoryActions">
-      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/Home.png" class="button" alt="{'Home'|@translate}"></a></li>
+      <li><a href="{$U_HOME}" title="{'Home'|@translate}"><img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'Home'|@translate}"></a></li>
     </ul>
     <h2>{'Upload a picture'|@translate}</h2>