Index: /trunk/admin/themes/clear/theme.css
===================================================================
--- /trunk/admin/themes/clear/theme.css	(revision 5169)
+++ /trunk/admin/themes/clear/theme.css	(revision 5170)
@@ -128,5 +128,5 @@
 display:inline; float:left; left:0; margin: 10px 0 0 10px; min-height:475px; height:475px; /* should be 477 */
 padding:0; width:207px; z-index:99; text-align: left; }
-#menubar ul.scroll { height:163px; margin-right:10px; overflow-y:auto; 
+#menubar ul.scroll { height:163px; overflow-y:auto; 
  /* Only IE family supports colored scrollbar */
  scrollbar-face-color: #ddd; scrollbar-shadow-color: #bbb; scrollbar-highlight-color: #fff;
@@ -209,2 +209,4 @@
 #themesContent H3 {border-bottom:1px solid #aaa;}
 .themeDefault {background-color:#dbe8f3;}
+
+#pluginsMenuSeparator {border:1px solid #ddd;}
Index: /trunk/admin/themes/default/default-layout.css
===================================================================
--- /trunk/admin/themes/default/default-layout.css	(revision 5169)
+++ /trunk/admin/themes/default/default-layout.css	(revision 5170)
@@ -751,2 +751,4 @@
 h2 { letter-spacing:2px; font-weight:bold;}
 h2:lang(en) { text-transform:capitalize; }
+
+#pluginsMenuSeparator {width:80%; margin:5px auto;}
Index: /trunk/admin/themes/default/template/admin.tpl
===================================================================
--- /trunk/admin/themes/default/template/admin.tpl	(revision 5169)
+++ /trunk/admin/themes/default/template/admin.tpl	(revision 5170)
@@ -16,12 +16,13 @@
   <div id="adminHome"><a href="{$U_ADMIN}">Administration Home</a></div>
   <dl class="first">
-    <dt class="rdion"><span>{'Configuration'|@translate}&nbsp;</span></dt>
+    <dt class="rdion"><span>{'Photos'|@translate}&nbsp;</span></dt>
     <dd>
       <ul>
-        <li><a href="{$U_CONFIG_GENERAL}">{'General'|@translate}</a></li>
-        <li><a href="{$U_CONFIG_DISPLAY}">{'Default display'|@translate}</a></li>
-        <li><a href="{$U_CONFIG_MENUBAR}">{'Menu'|@translate}</a></li>
-        <li><a href="{$U_CONFIG_EXTENTS}">{'Templates'|@translate}</a></li>
-        <li><a href="{$U_CONFIG_THEMES}">{'Themes'|@translate}</a></li>
+        <li><a href="{$U_ADD_PHOTOS}">{'Add'|@translate}</a></li>
+        <li><a href="{$U_WAITING}">{'Waiting'|@translate}</a></li>
+        <li><a href="{$U_RATING}">{'Rating'|@translate}</a></li>
+        <li><a href="{$U_TAGS}">{'Tags'|@translate}</a></li>
+        <li><a href="{$U_CADDIE}">{'Caddie'|@translate}</a></li>
+        <li><a href="{$U_RECENT_SET}">{'Recent pictures'|@translate}</a></li>
       </ul>
     </dd>
@@ -41,22 +42,8 @@
   </dl>
   <dl>
-    <dt class="rdion"><span>{'Pictures'|@translate}&nbsp;</span></dt>
+    <dt class="rdion"><span>{'Users'|@translate}&nbsp;</span></dt>
     <dd>
       <ul>
-        <li><a href="{$U_ADD_PHOTOS}">{'Add'|@translate}</a></li>
-        <li><a href="{$U_WAITING}">{'Waiting'|@translate}</a></li>
-        <li><a href="{$U_THUMBNAILS}">{'Thumbnails'|@translate}</a></li>
-        <li><a href="{$U_RATING}">{'Rating'|@translate}</a></li>
-        <li><a href="{$U_TAGS}">{'Tags'|@translate}</a></li>
-        <li><a href="{$U_CADDIE}">{'Caddie'|@translate}</a></li>
-        <li><a href="{$U_RECENT_SET}">{'Recent pictures'|@translate}</a></li>
-      </ul>
-    </dd>
-  </dl>
-  <dl>
-    <dt class="rdion"><span>{'Identification'|@translate}&nbsp;</span></dt>
-    <dd>
-      <ul>
-        <li><a href="{$U_USERS}">{'Users'|@translate}</a></li>
+        <li><a href="{$U_USERS}">{'Manage'|@translate}</a></li>
         <li><a href="{$U_GROUPS}">{'Groups'|@translate}</a></li>
         <li><a href="{$U_NOTIFICATION_BY_MAIL}">{'Notification'|@translate}</a></li>
@@ -64,20 +51,40 @@
     </dd>
   </dl>
-  <dl class="last">
-    <dt class="rdion"><span>{'Specials'|@translate}&nbsp;</span></dt>
+  <dl>
+    <dt class="rdion"><span>{'Plugins'|@translate}&nbsp;</span></dt>
+    <dd>
+      <ul>
+        <li><a href="{$U_PLUGINS}">{'Manage'|@translate}</a></li>
+      </ul>
+      <div id="pluginsMenuSeparator"></div>
+{if !empty($plugin_menu_items)}
+      <ul class="scroll">
+  {foreach from=$plugin_menu_items item=menu_item}
+        <li><a href="{$menu_item.URL}">{$menu_item.NAME}</a></li>
+  {/foreach}
+      </ul>
+{/if}
+    </dd>
+  </dl>
+  <dl>
+    <dt class="rdion"><span>{'Tools'|@translate}&nbsp;</span></dt>
     <dd>
       <ul>
         <li><a href="{$U_HISTORY_STAT}">{'History'|@translate}</a></li>
+        <li><a href="{$U_THUMBNAILS}">{'Thumbnails'|@translate}</a></li>
         <li><a href="{$U_MAINTENANCE}">{'Maintenance'|@translate}</a></li>
         <li><a href="{$U_ADVANCED_FEATURE}">{'Advanced features'|@translate}</a></li>
-        <li><a href="{$U_PLUGINS}">{'Plugins'|@translate}</a>
-        {if !empty($plugin_menu_items)}
-          <ul class="scroll">
-          {foreach from=$plugin_menu_items item=menu_item}
-            <li><a href="{$menu_item.URL}">{$menu_item.NAME}</a></li>
-          {/foreach}
-          </ul>
-        {/if}
-        </li>
+      </ul>
+    </dd>
+  </dl>
+  <dl class="last">
+    <dt class="rdion"><span>{'Configuration'|@translate}&nbsp;</span></dt>
+    <dd>
+      <ul>
+        <li><a href="{$U_CONFIG_GENERAL}">{'General'|@translate}</a></li>
+        <li><a href="{$U_CONFIG_DISPLAY}">{'Default display'|@translate}</a></li>
+        <li><a href="{$U_CONFIG_MENUBAR}">{'Menu'|@translate}</a></li>
+        <li><a href="{$U_CONFIG_EXTENTS}">{'Templates'|@translate}</a></li>
+        <li><a href="{$U_CONFIG_THEMES}">{'Themes'|@translate}</a></li>
       </ul>
     </dd>
Index: /trunk/admin/themes/roma/theme.css
===================================================================
--- /trunk/admin/themes/roma/theme.css	(revision 5169)
+++ /trunk/admin/themes/roma/theme.css	(revision 5170)
@@ -137,5 +137,5 @@
 border:0; display:inline; float:left; left:0; margin: 10px 0 0 10px; min-height:475px; height:475px; /* should be 477 */
 padding:0; width:230px; z-index:99; text-align: left; }
-#menubar ul.scroll { height:163px; margin-right:10px; overflow-y:auto;
+#menubar ul.scroll { height:163px; overflow-y:auto;
  /* Only IE family supports colored scrollbar */
  scrollbar-face-color: #222; scrollbar-shadow-color: #444; scrollbar-highlight-color: #000;
@@ -220,4 +220,5 @@
 .themeName {color:white;}
 .themeActions A {border-bottom:none;}
-
 .themeDefault {background-color:#555;}
+
+#pluginsMenuSeparator {border:1px solid #333;}