Index: /trunk/admin/themes/clear/theme.css
===================================================================
--- /trunk/admin/themes/clear/theme.css	(revision 5173)
+++ /trunk/admin/themes/clear/theme.css	(revision 5174)
@@ -61,5 +61,5 @@
 
 /* borders */ 
-fieldset { border: 1px solid #999; }
+fieldset { border: 2px solid #ddd; }
 INPUT, SELECT, TEXTAREA { border: 1px solid #999; }
 input:focus, select:focus, textarea:focus, input.focus, form .focus { background-color:#bbb;color: #666; }
Index: /trunk/admin/themes/default/default-colors.css
===================================================================
--- /trunk/admin/themes/default/default-colors.css	(revision 5173)
+++ /trunk/admin/themes/default/default-colors.css	(revision 5174)
@@ -82,4 +82,6 @@
 
 LEGEND {
-  font-style: italic;
+  font-weight: bold;
+  letter-spacing: 1px;
+  padding: 0 10px;
 }
Index: /trunk/admin/themes/default/default-layout.css
===================================================================
--- /trunk/admin/themes/default/default-layout.css	(revision 5173)
+++ /trunk/admin/themes/default/default-layout.css	(revision 5174)
@@ -518,21 +518,14 @@
 }
 
-.formField {
+#photosAddContent FIELDSET {
   width:650px;
   margin:0 auto 20px auto;
-  padding:10px;
-  border: 2px solid #292929;
-}
-
-.formFieldTitle {
-  font-weight:bold;
-  margin-bottom:10px;
-}
-
-.formField P {
+}
+
+#photosAddContent P {
   margin:0;
 }
 
-.formField TH {
+#photosAddContent TH {
   text-align:right;
   padding-right: 5px;
@@ -548,5 +541,5 @@
 
 #pwgHead {
-  background-color:#464646;
+  background-color:#222;
   height:46px;
 }
Index: /trunk/admin/themes/default/template/photos_add_direct.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 5173)
+++ /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 5174)
@@ -76,4 +76,6 @@
 </div>
 
+<div id="photosAddContent">
+
 {if count($setup_errors) > 0}
 <div class="errors">
@@ -106,6 +108,6 @@
 {/if}
 
-    <div class="formField">
-      <div class="formFieldTitle">{'Drop into category'|@translate}</div>
+    <fieldset>
+      <legend>{'Drop into category'|@translate}</legend>
       
       <label><input type="radio" name="category_type" value="existing"> {'existing category'|@translate}</label>
@@ -137,16 +139,16 @@
         </table>
       </div>
-    </div>
+    </fieldset>
 
-    <div class="formField">
-      <div class="formFieldTitle">{'Who can see these photos?'|@translate}</div>
+    <fieldset>
+      <legend>{'Who can see these photos?'|@translate}</legend>
 
       <select name="level" size="1">
         {html_options options=$level_options selected=$level_options_selected}
       </select>
-    </div>
+    </fieldset>
 
-    <div class="formField">
-      <div class="formFieldTitle">{'Select files'|@translate}</div>
+    <fieldset>
+      <legend>{'Select files'|@translate}</legend>
 
 {if $upload_mode eq 'html'}
@@ -160,5 +162,5 @@
       </div>
     
-    </div> <!-- formField -->
+    </fieldset>
 
     <p>
@@ -176,5 +178,5 @@
     <div id="fileQueue"></div>
 
-    </div> <!-- formField -->
+    </fieldset>
     <p>
       <input class="submit" type="button" value="{'Upload'|@translate}" onclick="javascript:jQuery('#uploadify').uploadifyUpload()"/>
@@ -184,2 +186,4 @@
 </form>
 {/if}
+
+</div> <!-- photosAddContent -->
Index: /trunk/admin/themes/default/template/photos_add_settings.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_settings.tpl	(revision 5173)
+++ /trunk/admin/themes/default/template/photos_add_settings.tpl	(revision 5174)
@@ -24,8 +24,10 @@
 </div>
 
+<div id="photosAddContent">
+
 <form id="uploadFormSettings" enctype="multipart/form-data" method="post" action="{$F_ACTION}" class="properties">
 
-  <div class="formField">
-    <div class="formFieldTitle">{'Web size photo'|@translate}</div>
+  <fieldset>
+    <legend>{'Web size photo'|@translate}</legend>
 
     <table>
@@ -47,8 +49,8 @@
       </tr>
     </table>
-  </div>
+  </fieldset>
 
-  <div class="formField">
-    <div class="formFieldTitle">{'Thumbnail'|@translate}</div>
+  <fieldset>
+    <legend>{'Thumbnail'|@translate}</legend>
 
     <table>
@@ -66,5 +68,5 @@
       </tr>
     </table>
-  </div>
+  </fieldset>
 
   <p>
@@ -73,2 +75,4 @@
 
 </form>
+
+</div> <!-- photosAddContent -->
Index: /trunk/admin/themes/roma/theme.css
===================================================================
--- /trunk/admin/themes/roma/theme.css	(revision 5173)
+++ /trunk/admin/themes/roma/theme.css	(revision 5174)
@@ -69,5 +69,5 @@
  background-image: url(images/fillet.png); background-repeat: repeat-x; }
 /* borders */
-fieldset { border: 1px solid #666; }
+fieldset { border: 2px solid #333; }
 INPUT, SELECT, TEXTAREA { border: 1px solid #666; }
 input:focus, select:focus, textarea:focus, input.focus, form .focus { background-color:#444;color: #999; }