Index: /trunk/admin/intro.php
===================================================================
--- /trunk/admin/intro.php	(revision 5177)
+++ /trunk/admin/intro.php	(revision 5178)
@@ -199,7 +199,7 @@
     'DB_ENGINE' => $conf['dblayer'],
     'DB_VERSION' => $db_version,
-    'DB_ELEMENTS' => l10n_dec('%d element', '%d elements', $nb_elements),
+    'DB_ELEMENTS' => l10n_dec('%d image', '%d images', $nb_elements),
     'DB_CATEGORIES' =>
-      l10n_dec('%d category including ', '%d categories including ',
+      l10n_dec('%d category including', '%d categories including',
         $nb_categories).
       l10n_dec('%d physical', '%d physical',
Index: /trunk/admin/themes/default/template/footer.tpl
===================================================================
--- /trunk/admin/themes/default/template/footer.tpl	(revision 5177)
+++ /trunk/admin/themes/default/template/footer.tpl	(revision 5178)
@@ -37,5 +37,5 @@
 
   {'Contact'|@translate}
-  <a href="mailto:{$CONTACT_MAIL}?subject={'title_send_mail'|@translate|@escape:url}">{'Webmaster'|@translate}</a>
+  <a href="mailto:{$CONTACT_MAIL}?subject={'A comment on your site'|@translate|@escape:url}">{'Webmaster'|@translate}</a>
   </div> <!-- pageInfos -->
 
Index: /trunk/admin/themes/default/template/plugins_list.tpl
===================================================================
--- /trunk/admin/themes/default/template/plugins_list.tpl	(revision 5177)
+++ /trunk/admin/themes/default/template/plugins_list.tpl	(revision 5178)
@@ -70,5 +70,5 @@
       </li>
       <li>
-        <a href="{$plugin.U_ACTION}&amp;action=delete" onclick="return confirm('{'plugins_confirm_delete'|@translate|@escape:'javascript'}');">
+        <a href="{$plugin.U_ACTION}&amp;action=delete" onclick="return confirm('{'Are you sure you want to delete this plugin?'|@translate|@escape:'javascript'}');">
           <img src="{$themeconf.admin_icon_dir}/plug_delete.png" alt="{'Delete'|@translate}" title="{'Delete'|@translate}">
         </a>
Index: /trunk/admin/themes/default/template/site_manager.tpl
===================================================================
--- /trunk/admin/themes/default/template/site_manager.tpl	(revision 5177)
+++ /trunk/admin/themes/default/template/site_manager.tpl	(revision 5178)
@@ -39,5 +39,5 @@
   {foreach from=$sites item=site name=site}
   <tr style="text-align:left" class="{if $smarty.foreach.site.index is odd}row1{else}row2{/if}"><td>
-    <a href="{$site.NAME}">{$site.NAME}</a><br>({$site.TYPE}, {$site.CATEGORIES} {'Categories'|@translate}, {$pwg->l10n_dec('%d element','%d elements',$site.IMAGES)})
+    <a href="{$site.NAME}">{$site.NAME}</a><br>({$site.TYPE}, {$site.CATEGORIES} {'Categories'|@translate}, {$pwg->l10n_dec('%d image','%d images',$site.IMAGES)})
   </td><td>
     [<a href="{$site.U_SYNCHRONIZE}" title="{'synchronize'|@translate}">{'synchronize'|@translate}</a>]
Index: /trunk/include/functions_category.inc.php
===================================================================
--- /trunk/include/functions_category.inc.php	(revision 5177)
+++ /trunk/include/functions_category.inc.php	(revision 5178)
@@ -473,5 +473,5 @@
 
     //at least one image direct or indirect
-    $display_text.= l10n_dec('%d element', '%d elements', $cat_count_images);
+    $display_text.= l10n_dec('%d image', '%d images', $cat_count_images);
 
     if ($cat_count_categories == 0 or $cat_nb_images == $cat_count_images)
Index: /trunk/include/functions_html.inc.php
===================================================================
--- /trunk/include/functions_html.inc.php	(revision 5177)
+++ /trunk/include/functions_html.inc.php	(revision 5178)
@@ -513,7 +513,7 @@
   $menu->register_block( new RegisteredBlock( 'mbCategories', 'Categories', 'piwigo'));
   $menu->register_block( new RegisteredBlock( 'mbTags', 'Related tags', 'piwigo'));
-  $menu->register_block( new RegisteredBlock( 'mbSpecials', 'special_categories', 'piwigo'));
-  $menu->register_block( new RegisteredBlock( 'mbMenu', 'title_menu', 'piwigo'));
-  $menu->register_block( new RegisteredBlock( 'mbIdentification', 'identification', 'piwigo') );
+  $menu->register_block( new RegisteredBlock( 'mbSpecials', 'Specials', 'piwigo'));
+  $menu->register_block( new RegisteredBlock( 'mbMenu', 'Menu', 'piwigo'));
+  $menu->register_block( new RegisteredBlock( 'mbIdentification', 'Identification', 'piwigo') );
 }
 
Index: /trunk/themes/default/template/comment_list.tpl
===================================================================
--- /trunk/themes/default/template/comment_list.tpl	(revision 5177)
+++ /trunk/themes/default/template/comment_list.tpl	(revision 5178)
@@ -23,5 +23,5 @@
         {if isset($comment.U_EDIT) and !isset($comment.IN_EDIT)}
         <li>
-          <a class="editComment" href="{$comment.U_EDIT}#edit_comment" title="{'edit this comment'|@translate}">
+          <a class="editComment" href="{$comment.U_EDIT}#edit_comment" title="edit this comment">
             <img src="{$ROOT_URL}{$themeconf.icon_dir}/edit.png" class="button" alt="[edit]">
           </a>
@@ -42,6 +42,6 @@
       <form  method="post" action="{$comment.U_EDIT}" class="filter" id="editComment">
 	<fieldset>
-	  <legend>{'Edit a comment'|@translate}</legend>
-	  <label>{'Comment'|@translate}<textarea name="content" id="contenteditid" rows="5" cols="80">{$Comment.CONTENT|@escape}</textarea></label>
+	  <legend>Edit a comment</legend>
+	  <label>{'Comment'|@translate}<textarea name="content" id="contenteditid" rows="5" cols="80">{$comment.CONTENT|@escape}</textarea></label>
 	  <input type="hidden" name="key" value="{$comment.KEY}">
 	  <input type="hidden" name="image_id" value="{$comment.IMAGE_ID|@default:$current.id}">
Index: /trunk/themes/default/template/footer.tpl
===================================================================
--- /trunk/themes/default/template/footer.tpl	(revision 5177)
+++ /trunk/themes/default/template/footer.tpl	(revision 5178)
@@ -16,5 +16,5 @@
   {if isset($CONTACT_MAIL)}
   - {'Contact'|@translate}
-  <a href="mailto:{$CONTACT_MAIL}?subject={'title_send_mail'|@translate|@escape:url}">{'Webmaster'|@translate}</a>
+  <a href="mailto:{$CONTACT_MAIL}?subject={'A comment on your site'|@translate|@escape:url}">{'Webmaster'|@translate}</a>
   {/if}
 
Index: /trunk/themes/default/template/menubar_categories.tpl
===================================================================
--- /trunk/themes/default/template/menubar_categories.tpl	(revision 5177)
+++ /trunk/themes/default/template/menubar_categories.tpl	(revision 5178)
@@ -36,4 +36,4 @@
 	</ul>
 	{/if}
-	<p class="totalImages">{$pwg->l10n_dec('%d element', '%d elements', $block->data.NB_PICTURE)}</p>
+	<p class="totalImages">{$pwg->l10n_dec('%d image', '%d images', $block->data.NB_PICTURE)}</p>
 </dd>
Index: /trunk/themes/default/template/menubar_menu.tpl
===================================================================
--- /trunk/themes/default/template/menubar_menu.tpl	(revision 5177)
+++ /trunk/themes/default/template/menubar_menu.tpl	(revision 5178)
@@ -7,5 +7,5 @@
       </p>
     </form>
-    <script type="text/javascript">var qsearch_prompt="{'qsearch'|@translate|@escape:'javascript'}"; document.getElementById('qsearchInput').value=qsearch_prompt;</script>
+    <script type="text/javascript">var qsearch_prompt="{'Quick search'|@translate|@escape:'javascript'}"; document.getElementById('qsearchInput').value=qsearch_prompt;</script>
   {/if}
 
Index: /trunk/themes/default/template/menubar_tags.tpl
===================================================================
--- /trunk/themes/default/template/menubar_tags.tpl	(revision 5177)
+++ /trunk/themes/default/template/menubar_tags.tpl	(revision 5178)
@@ -6,5 +6,5 @@
 			{if !empty($tag.U_ADD) }
 			<a href="{$tag.U_ADD}"
-				title="{$pwg->l10n_dec('%d element are also linked to current tags', '%d elements are also linked to current tags', $tag.counter)}"
+				title="{$pwg->l10n_dec('%d image is also linked to current tags', '%d images are also linked to current tags', $tag.counter)}"
 				rel="nofollow">
 				<img src="{$ROOT_URL}{$themeconf.icon_dir}/add_tag.png" alt="+">
Index: /trunk/themes/default/template/month_calendar.tpl
===================================================================
--- /trunk/themes/default/template/month_calendar.tpl	(revision 5177)
+++ /trunk/themes/default/template/month_calendar.tpl	(revision 5178)
@@ -13,5 +13,5 @@
 	{else}
 		{foreach from=$bar.items item=item}
-		<span class="calItem{if !isset($item.URL)}Empty{/if}" {if isset($item.NB_IMAGES)}title="{$pwg->l10n_dec('%d element', '%d elements', $item.NB_IMAGES)}"{/if}>
+		<span class="calItem{if !isset($item.URL)}Empty{/if}" {if isset($item.NB_IMAGES)}title="{$pwg->l10n_dec('%d image', '%d images', $item.NB_IMAGES)}"{/if}>
 		{if isset($item.URL)}
 		<a href="{$item.URL}">{$item.LABEL}</a>
@@ -69,5 +69,5 @@
 	 			<div class="calImg">
 					<a href="{$day.U_IMG_LINK}">
-			  			<img style="{$day.IMAGE_STYLE}" src="{$day.IMAGE}" alt="{$day.IMAGE_ALT}" title="{$pwg->l10n_dec('%d element','%d elements', $day.NB_ELEMENTS)}">
+			  			<img style="{$day.IMAGE_STYLE}" src="{$day.IMAGE}" alt="{$day.IMAGE_ALT}" title="{$pwg->l10n_dec('%d image','%d images', $day.NB_ELEMENTS)}">
 					</a>
 				</div>
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 5177)
+++ /trunk/themes/default/template/picture.tpl	(revision 5178)
@@ -110,5 +110,5 @@
 {/if}
 
-<table id="standard" class="infoTable" summary="{'Some info about this picture'|@translate}">
+<table id="standard" class="infoTable" summary="Some info about this picture">
   <tr id="Author">
     <td class="label">{'Author'|@translate}</td>
@@ -178,5 +178,5 @@
 	<tr id="rating">
 		<td class="label">
-			<span id="updateRate">{if isset($rating.USER_RATE)}{'Rate this picture'|@translate}{else}{'Rate this picture'|@translate}{/if}</span>
+			<span id="updateRate">{if isset($rating.USER_RATE)}{'Update your rating'|@translate}{else}{'Rate this picture'|@translate}{/if}</span>
 		</td>
 		<td class="value">
@@ -194,5 +194,5 @@
 			<script type="text/javascript">
 			makeNiceRatingForm( {ldelim}rootUrl: '{$ROOT_URL|@escape:"javascript"}', image_id: {$current.id},
-			updateRateText: "{'update_rate'|@translate|@escape:'javascript'}", updateRateElement: document.getElementById("updateRate"),
+			updateRateText: "{'Update your rating'|@translate|@escape:'javascript'}", updateRateElement: document.getElementById("updateRate"),
 			ratingSummaryText: "{'%.2f (rated %d times, standard deviation = %.2f)'|@translate|@escape:'javascript'}", ratingSummaryElement: document.getElementById("ratingSummary") {rdelim} );
 			</script>
@@ -269,5 +269,5 @@
 		<label>{'Author'|@translate}<input type="text" name="author"></label>
 		{/if}
-		<label>{'Comment'|@translate}<textarea name="content" id="contentid" rows="5" cols="80">{$Comment_add.CONTENT}</textarea></label>
+		<label>{'Comment'|@translate}<textarea name="content" id="contentid" rows="5" cols="80">{$comment_add.CONTENT}</textarea></label>
 		<input type="hidden" name="key" value="{$comment_add.KEY}">
 		<input class="submit" type="submit" value="{'Submit'|@translate}">
Index: /trunk/themes/default/template/search.tpl
===================================================================
--- /trunk/themes/default/template/search.tpl	(revision 5177)
+++ /trunk/themes/default/template/search.tpl	(revision 5178)
@@ -46,5 +46,5 @@
   <ul>
     <li><label>
-      <input type="radio" name="mode" value="AND" checked="checked">{'Search for all terms '|@translate}
+      <input type="radio" name="mode" value="AND" checked="checked">{'Search for all terms'|@translate}
     </label></li>
     <li><label>
Index: /trunk/themes/default/template/tags.tpl
===================================================================
--- /trunk/themes/default/template/tags.tpl	(revision 5177)
+++ /trunk/themes/default/template/tags.tpl	(revision 5178)
@@ -36,5 +36,5 @@
       <tr class="tagLine">
         <td><a href="{$tag.URL}">{$tag.name}</a></td>
-        <td class="nbEntries">{$pwg->l10n_dec('%d element', '%d elements', $tag.counter)}</td>
+        <td class="nbEntries">{$pwg->l10n_dec('%d image', '%d images', $tag.counter)}</td>
       </tr>
       {/foreach}