Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 5179)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 5180)
@@ -2,37 +2,37 @@
 global $lang;
 
-$lang['UAM_restricTitle'] = 'Restrizioni per le registrazioni';
+$lang['UAM_restricTitle'] = 'Restrizioni per le iscrizzioni';
 $lang['UAM_restricTitle_d'] = '
-- Sensibilità case<br>
-- Characters exclusion<br>
+- Sensibilità maiuscole/minuscole<br>
+- Caratteri vietati nei nomi degli utenti<br>
 - Rafforzare il livello di sicurezza delle password<br>
-- L\'esclusione Email domini<br>
+- Esclusione dei domini d\'Email<br>
 ...
 ';
-$lang['UAM_confirmTitle'] = 'Conferme e validazioni di registrazione';
+$lang['UAM_confirmTitle'] = 'Confirmazzione e validazione delle iscrizzioni';
 $lang['UAM_confirmTitle_d'] = '
-- E-mail informazioni per l\'utente<br>
-- Conferma della registrazione<br>
-- Gruppi / Statuti di convalida<br>
-- Termine per la validazione di registrazione limitato<br>
-- Promemoria visitatori non convalidate<br>
+- Generazzione di un\'Email d\'informazione<br>
+- Generazzione di un\'Email di conferma d\'iscrizzione<br>
+- Inserimento in automatico dei gruppi / statuti<br>
+- Limitazzione del termine di convalida dell\'iscrizzione<br>
+- Generazzione di un\'Email di rilancio per gli utenti non convalidati<br>
 ...
 ';
-$lang['UAM_miscTitle'] = 'Registrazioni seguiti e altre opzioni';
+$lang['UAM_miscTitle'] = 'Monitoraggio degli utenti registrati e altre opzioni';
 $lang['UAM_miscTitle_d'] = '
-- Gestione fantasmi visitatori<br>
-- Tracciamento utenti registrati<br>
-- Nickname obbligatoria per i commenti degli ospiti<br>
+- Gestione degli ospiti fantasmi<br>
+- Monitoraggio degli utenti registrati<br>
+- Pesudo obbligatorio per i commenti degli ospiti<br>
 ...
 ';
-$lang['UAM_casenTitle'] = 'Nome utente: Sensibilità case';
-$lang['UAM_casenTitle_d'] = 'Per impostazione predefinita, PhpWebGallery &egrave; insensibile: lettere maiuscole e minuscole sono considerate diverse lettere con i nomi scelti dagli utenti al momento della registrazione. Cos&igrave;, &quot;Pippo&quot;, &quot;pippo&quot; e &quot;PIPPO&quot; pu&ograve; essere di 3 utenti diversi.<br><br>
-L\'attivazione di questa opzione permette di prendere in considerazione tutte le opzioni in caso di &quot;pippo&quot; come un utente. Se &quot;foo&quot; esiste già, creare un nuovo utente &quot;Pippo&quot;, saranno rifiutati.<br><br>
-<b style=&quot;color: red;&quot;>Attenzione: questa opzione non ha alcun effetto sui nomi utente creato prima della sua attivazione.</b>';
-$lang['UAM_carexcTitle'] = 'Nome utente: Esclusione di caratteri';
-$lang['UAM_carexcTitle_d'] = 'Possa essere interessante per vietare certi caratteri per i nomi utente (ad esempio: negare login contenente &quot;@&quot;). Questa opzione permette di escludere i caratteri o sequenza di caratteri, eventi.<br>
+$lang['UAM_casenTitle'] = 'Pesudo: Sensibilità maiuscole/minuscole';
+$lang['UAM_casenTitle_d'] = 'Di default, Piwigo è sensibile alle minuscole e maiuscole e vengono considerate come diverse lettere nei pesudo scelti dagli utenti al momento dell\'iscrizzione. E dunque "Pippo", "pippo" e "PIPPO" possono essere 3 diversi utenti.<br><br>
+L\'attivazione di questa opzione permette di considerare "Pippo", "pippo", "PIPPO", ... come un\'solo utente. Se "pippo" esiste già, creare un nuovo pesudo "Pippo" risulterà impossibile.<br><br>
+<b style="color: red">Attenzione: questa opzione non ha alcun effetto sui pesudo creati prima della sua attivazione.</b>';
+$lang['UAM_carexcTitle'] = 'Pesudo: Esclusione di caratteri';
+$lang['UAM_carexcTitle_d'] = 'Può essere interessante vietare certi caratteri per i pesudo (ad esempio: negare login contenente "@"). Questa opzione permette di escludere i caratteri o sequenza di caratteri, eventi.<br>
 NB: L\'opzione può anche escludere parole intere.
 <br><br>
-<b style=&quot;color: red;&quot;>Attenzione: questa opzione non ha alcun effetto sui nomi utente creato prima della sua attivazione.</b>';
+<b style=&quot;color: red;&quot;>Attenzione: questa opzione non ha alcun effetto sui pesudo creati prima della sua attivazione.</b>';
 $lang['UAM_passwTitle'] = 'Rafforzare il livello di sicurezza delle password';
 $lang['UAM_passwTitle_d'] = 'L\'attivazione di questa opzione rende obbligatorio il sequestro di una password al momento della registrazione, e richiede la password scelta dal visitatore di incontrare un livello minimo di complessità. Se la soglia non viene raggiunta, il punteggio conseguito e il punteggio minimo da raggiungere sono visualizzate, insieme con raccomandazioni per aumentare il valore di questa partitura.<br><br>
@@ -42,5 +42,5 @@
 $lang['UAM_passwtestTitle_d'] = 'Inserisci la password per testare e quindi fare clic su &quot;calcolo del punteggio&quot;, per vedere il risultato.';
 $lang['UAM_passwadmTitle'] = 'Applicando agli amministratori';
-$lang['UAM_passwadmTitle_d'] = 'Un amministratore può creare un account utente con o senza l\'applicazione della regola della complessità di calcolo.<br><br>
+$lang['UAM_passwadmTitle_d'] = 'Un amministratore può creare un\'pesudo con o senza l\'applicazione della regola della complessità di calcolo.<br><br>
 Nota: Se l\'account utente creato vuole cambiare la password e il rafforzamento password per gli utenti è attivo, sarà soggetta alla regola.';
 $lang['UAM_mailexcTitle'] = 'L\'esclusione Email domini';
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5179)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 5180)
@@ -27,5 +27,5 @@
 $lang['Err_audit_no_casse'] = '<b>Questi conti sono identici (escluso maiuscola/minuscola):</b> ';
 $lang['Err_audit_username_char'] = '<b>Questo conto utente utilizza uno o più caratteri vietati:</b> ';
-$lang['Err_audit_email_forbidden'] = '<b>Questo conto utente usa un dominio di Email proibito:</b> ';
+$lang['Err_audit_email_forbidden'] = '<b>Questo conto utente usa un dominio d\'Email proibito:</b> ';
 $lang['Err_audit_advise'] = '<b>Dovete eseguire delle correzioni per rispettare le nuove impostazzioni che avete attivato.<br> Utilizzare un programma per la gestione della base dati per correggere i conti utente direttamente nella tabella ###_USERS';
 $lang['UAM_Empty Author'] = 'Il campo autore deve essere riempito per potere inviare un commento.';
@@ -33,5 +33,5 @@
 	$lang['reg_err_login5'] = 'Nome utente esiste già. Attenzione : il campo è insensibile alle maiuscole/minuscole.';
 $lang['reg_err_login6'] = 'Nome utente non deve contenere in caratteri seguenti: ';
-$lang['reg_err_login7'] = 'Il tuo provider di posta usa dominio di Email proibito. I domini preibiti sono i seguenti: ';
+$lang['reg_err_login7'] = 'Il tuo provider di posta usa dominio d\'Email proibito. I domini preibiti sono i seguenti: ';
 $lang['UAM_empty_pwd'] = '[password vuota]';
 $lang['UAM_no_update_pwd'] = '[profilo aggiornato senza modifica della password]';
@@ -66,5 +66,5 @@
 $lang['PasswordTest'] = 'Calcolo del punteggio';
 /* Ghost Tracker Tab */
-$lang['Tab_GhostTracker'] = 'Ghost Tracker';
+$lang['Tab_GhostTracker'] = 'GhostTracker';
 $lang['LastVisit_Date'] = 'Data ultima visita';
 $lang['Reminder'] = 'Email di rilancio';
@@ -105,5 +105,6 @@
 // --------- Starting below: New or revised $lang ---- from version 2.13.0
 /* UserList Tab */
-$lang['UserList_Title'] = 'Monitoraggio delgli utenti registrati';
+$lang['UserList_Title'] = 'Monitoraggio degli utenti registrati';
+$lang['Tab_UserList'] = 'Monitoraggio degli utenti';
 $lang['Nb_Days'] = 'Numero di giorni<br>dall\'ultima visita';
 // --------- End: New or revised $lang ---- from version 2.13.0
@@ -118,6 +119,6 @@
 $lang['Tab_Global'] = 'Configurazione';
 $lang['UAM_Title1'] = 'Impostare le restrizioni per le registrazioni';
-$lang['UAM_Title2'] = 'Impostare le conferme e validazioni dell\'iscrizione';
-$lang['UAM_Title3'] = 'Impostare le registrazioni seguiti e altre opzioni';
+$lang['UAM_Title2'] = 'Impostare le conferme e validazioni all\'iscrizione';
+$lang['UAM_Title3'] = 'Impostare le registrazioni seguite e altre opzioni';
 $lang['UAM_Title4'] = 'Suggerimenti ed esempi d\'utilizzo';
 $lang['UAM_No_Casse'] = 'Nome utente: Sensibile alle maiusc/minusc';
@@ -135,5 +136,5 @@
 $lang['UAM_PasswordTest'] = 'Password di prova: ';
 $lang['UAM_ScoreTest'] = 'Risultato: ';
-$lang['UAM_MailExclusion'] = 'Esclusione dei domini di Email';
+$lang['UAM_MailExclusion'] = 'Esclusione dei domini d\'Email';
 $lang['UAM_MailExclusion_true'] = ' Escludi i seguenti domini:<br>(Utilizzare una virgola per separare ogni dominio)';
 $lang['UAM_MailExclusion_false'] = ' Disattivare (di default)';
@@ -142,9 +143,9 @@
 $lang['UAM_Mail_Info_true'] = ' Attivare';
 $lang['UAM_Mail_Info_false'] = ' Disattivare (di default)';
-$lang['UAM_MailInfo_Text'] = ' Personalizzare testo Email:';
+$lang['UAM_MailInfo_Text'] = ' Personalizzare il testo dell\'Email:';
 $lang['UAM_Confirm_Mail'] = 'Conferma dell\'iscrizione:';
 $lang['UAM_Confirm_Mail_true'] = ' Attivare';
 $lang['UAM_Confirm_Mail_false'] = ' Disattivare (di default)';
-$lang['UAM_ConfirmMail_Text'] = ' Personalizzare testo Email di conferma:';
+$lang['UAM_ConfirmMail_Text'] = ' Personalizzare il testo dell\'Email di conferma:';
 $lang['UAM_Confirm_Group'] = 'Gruppi di convalida<br>(------- per non assegnare nessun gruppo)';
 $lang['UAM_Confirm_Status'] = 'Convalida Statuti<br>(Invia ------- per mantenere il valore di default di Piwigo)';
@@ -163,5 +164,5 @@
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Personalizzare l\'Email di rilancio <b><u>senza</u></b> rigenerazione di una nuova chiave di convalida.';
 
-$lang['UAM_GhostTracker'] = 'Gestione degli ospiti fantasmi (Ghost Tracker)';
+$lang['UAM_GhostTracker'] = 'Gestione degli ospiti fantasmi (GhostTracker)';
 $lang['UAM_GhostTracker_true'] = ' Attivare. Durata massima di giorni tra due visite: ';
 $lang['UAM_GhostTracker_false'] = ' Disattivare (di default)';
@@ -174,5 +175,5 @@
 $lang['UAM_No_Comment_Anonymous_false'] = ' Disattivare (di default)';
 
-$lang['UAM_Tips1'] = 'Registrazioni con convalida dell\'Email e messaggio di avviso nella home page del Piwigo (Inglese)';
+$lang['UAM_Tips1'] = 'Iscrizzione con convalida dell\'Email e messaggio di avviso nella homepage di Piwigo';
 
 $lang['Tab_UserManager'] = 'Tracciamento convalide';
@@ -182,24 +183,23 @@
 $lang['UserManager_Title'] = 'Tracciamento convalide';
 /* Ghost Tracker Tab */
-$lang['SubTitle4'] = 'Ghost Tracker';
-$lang['GT_Init'] = 'Inizializzazione Ghost Tracker';
-$lang['GhostTracker_Title'] = 'Gestione fantasmi visitatori';
-$lang['UAM_GhostTracker_Init'] = 'Se si attiva questa funzione per la prima volta o che hanno riattivato, dopo un lungo periodo fuori durante il quale i nuovi visitatori sono registrati, è necessario inizializzare o azzerare il Tracker Ghost. Questa azione viene effettuata solo dopo l\'attivazione o la riattivazione del contratto stesso. Si prega di scegliere <u>una volta</u> il pulsante di reset sotto.';
+$lang['SubTitle4'] = 'GhostTracker';
+$lang['GT_Init'] = 'Inizializzazione del GhostTracker';
+$lang['GhostTracker_Title'] = 'Gestione degli ospiti fantasmi';
+$lang['UAM_GhostTracker_Init'] = 'Se si attiva questa funzione per la prima volta o se viene riattivata dopo un lungo periodo durante il quale dei nuovi visitatori si sono registrati, è necessario inizializzare o azzerare il Tracker Ghost. Questa azione è da effettuarsi solo dopo l\'attivazione o la riattivazione dell\'opzione; Cliccare dunque <u>una sola volta</u> sull\'pulsante di reset sottostante.';
 /* UserList Tab */
-$lang['SubTitle5'] = 'Tracciamento degli utenti';
-$lang['Tab_UserList'] = 'Tracciamento degli utenti';
+$lang['SubTitle5'] = 'Infos sugli utenti';
 /* Mailing */
 $lang['Add of %s'] = 'Profilo creato per %s';
 $lang['Update of %s'] = 'Profilo %s aggiornato';
 /* Email confirmation page */
-$lang['confirm_mail_bad'] = '<br><br><br>La tua chiave di attivazione non è corretto o è scaduto o è già stato convalidato il tuo account, si prega di contattare il webmaster per risolvere questo problema.<br><br><br><br>';
+$lang['confirm_mail_bad'] = '<br><br><br>La vostra chiave di attivazione non è corretta o è scaduta o è già stata usata per convalidare il vostro account. Si prega di contattare il webmaster per risolvere questo problema.<br><br><br><br>';
 /* Mailing */
-$lang['Ghost_reminder_of_%s'] = '%s, questa è una Email di rilancio';
+$lang['Ghost_reminder_of_%s'] = '%s, questa è un\'Email di rilancio';
 $lang['Reminder_with_key_of_%s'] = '%s, la vostra chiave di convalida è stata rinnovata';
 $lang['Reminder_without_key_of_%s'] = '%s, la chiave di convalida sta per scadere';
 /* Errors and Warnings */
-$lang['Err_UserManager_Settings'] = 'Questa pagina è disponibile solo se "Termine per la validazione dell\'iscrizione limitato" è attivo e un gruppo di utenti non convalidate è impostato in "Impostare le conferme e validazioni dell\'iscrizione".';
-$lang['Err_GhostTracker_Settings'] = 'Questa pagina è disponibile solo se "Ghost Tracker" è attiva in "Impostazione delle registrazioni seguiti e altre opzioni".';
-$lang['Err_Userlist_Settings'] = 'Questa pagina è disponibile solo se "Controllo di utenti registrati" è attiva nella sezione "Impostazione delle registrazioni seguiti e altre opzioni".';
+$lang['Err_UserManager_Settings'] = 'Questa pagina è disponibile solo se "Termine per la validazione dell\'iscrizione limitato" è attivo e se un gruppo di utenti non convalidati è attivo in "Impostare le conferme e validazioni all\'iscrizione".';
+$lang['Err_GhostTracker_Settings'] = 'Questa pagina è disponibile solo se "GhostTracker" è attivo in "Impostare le registrazioni seguite e altre opzioni".';
+$lang['Err_Userlist_Settings'] = 'Questa pagina è disponibile solo se "Monitoraggio degli utenti registrati" è attivo nella sezione "Impostare le registrazioni seguite e altre opzioni".';
 // --------- End: New or revised $lang ---- from version 2.13.4
 
@@ -213,35 +213,35 @@
             <li>
             Obiettivi:<br>
-            - Al suo arrivo presso la galleria: a informare il visitatore che si deve registrare per accedere a foto private<br>
-            - Al momento dell\'iscrizione: Genera una validazione Email con il link diretto, informa il nuovo utente della sua mancata convalida e integrare lo al gruppo "Attesa"<br>
-            - All\'atto della convalida: Switch automaticamente gruppo "Attesa" di gruppo "Validati", che fornisce l\'accesso a categorie privato<br><br>
-            <span style="font-style:italic">Nota: In funzionamento standard, il "cliente" vede solo le categorie del pubblico, senza messaggio di informazione.</span>
+            - Al suo arrivo sulla galleria: informare l\'ospite che si può registrare per accedere alle foto private<br>
+            - Al momento dell\'iscrizione: Generare un\'Email di convalida con il link diretto, informare il nuovo utente della sua "non convalidazione" e integrarlo lo al gruppo "Attesa"<br>
+            - All convalida: Spostarlo automaticamente dal gruppo "Attesa" al gruppo "Convalidati", che permette l\'accesso alle categorie private<br><br>
+            <span style="font-style:italic">Nota: Nel funzionamento standard, l\'utente "Guest" vede solo le categorie pubbliche, senza messaggio d\'informazione.</span>
             </li><br><br>
             <li>
-Prerequisito:<br>
+Prerequisiti:<br>
 - Una galleria con tutte o alcune categorie private, visibili solo agli utenti registrati<br>
-- Almeno 2 seguenti gruppi di utenti Piwigo\'s: "Attesa", senza il consenso sulle categorie private, e "Validati" con tutte le autorizzazioni per le categorie privato<br>
-- NBC_UAM plugin<br>
-- PWG Stuffs plugin, per aggiungere un tipo di modulo "Personal Block"<br>
-- Facoltativamente, il plugin Extended Description al supporto multi-lingue<br>
+- Almeno i 2 gruppi d\'utenti Piwigo seguenti: "Attesa", senza alcuna autorizzazione sulle categorie private, e "Convalidati" con tutte le autorizzazioni per le categorie private<br>
+- Il plugin NBC_UAM<br>
+- Il plugin PWG Stuffs, per aggiungere un modulo di tipo "Blocco Personal"<br>
+- In opzione, il plugin Extended Description per il supporto multi-lingue<br>
             </li><br><br>
               <li>
 Tappe:<br><br>
-A. In plugin NBC_UAM:
+A. Nel plugin NBC_UAM:
               <ol>
                 <li>Attivare la conferma dell\'iscrizione</li>
-                <li>Inserisci il testo per ulteriori spiegazioni, che sarà allegato a una mail di conferma dell\'iscrizione. Se il plugin Extended Description è attivato, i tag linguaggio può essere utilizzato</li>
-                <li>Selezionare l\'opzione "Attesa" gruppo sotto la voce "Per gli utenti che non hanno convalidato la loro iscrizione"</li>
-                <li>Selezionare l\'opzione "Validati" gruppo sotto la voce "Per gli utenti che hanno convalidato la loro iscrizione"</li>
-                <li>Salvare la configurazione</li>
+                <li>Inserire un testo personalizzato che sarà inviato con l\'Email di conferma dell\'iscrizione. Se il plugin Extended Description è installato ed attivato, i tag di lingua possono essere utilizzati</li>
+                <li>Selezionare il gruppo "Attesa" sotto la voce "Per gli utenti che non hanno convalidato la loro iscrizione"</li>
+                <li>Selezionare il gruppo "Convalidati" sotto la voce "Per gli utenti che hanno convalidato la loro iscrizione"</li>
+                <li>Salvare le impostazzioni</li>
               </ol>
               </li><br>
-B. In plugin PWG Stuffs :
+B. Nel plugin PWG Stuffs :
               <ol>
-                <li>Aggiungere un nuovo tipo di modulo "block personali: mostra personale di blocco (ad esempio, un editoriale)"</li>
-                <li>Configurare il modulo, indicando il titolo (ad esempio, "in attesa di convalida dell\'iscrizione") e la sua descrizione, e selezionare solo "Attesa" nella lista dei gruppi ammessi</li>
-                <li>Contenuto completo del modulo con le informazioni di messaggio da visualizzare per gli utenti non convalidato. Come NBC_UAM, linguaggi di markup possono essere utilizzati se il plugin Extended Description è abilitato</li>
-                <li>Check "visualizzare il modulo nella homepage del sito"</li>
-                <li>Convalidare la configurazione del modulo</li>
+                <li>Aggiungere un nuovo modulo "Blocco Personale : Mostrare il blocco personale (Nota o Editoriale per esempio)"</li>
+                <li>Configurare il modulo, indicandone il titolo (ad esempio, "in attesa di convalida dell\'iscrizione"), la descrizione, ed in fine selezionando solo il gruppo "Attesa" nella lista dei gruppi ammessi</li>
+                <li>Completare il contenuto del modulo con il testo da visualizzare per gli utenti non convalidati. Come NBC_UAM, i tag di lingua possono essere utilizzati se il plugin Extended Description è installato ed attivato</li>
+                <li>Selezzionare "Visualizzare il modulo nella homepage del sito"</li>
+                <li>Salvare le impostazzioni</li>
               </ol>
           </ul>';