Index: extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5105)
+++ extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 5181)
@@ -9,5 +9,5 @@
 check_status(ACCESS_ADMINISTRATOR);
 
-if (!defined('NBC_UAM_PATH')) define('NBC_UAM_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
+if (!defined('UAM_PATH')) define('UAM_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
 
 //ini_set('error_reporting', E_ALL);
@@ -18,6 +18,6 @@
 $my_base_url = get_admin_plugin_menu_link(__FILE__);
 
-load_language('plugin.lang', NBC_UAM_PATH);
-load_language('help/plugin.lang', NBC_UAM_PATH);
+load_language('plugin.lang', UAM_PATH);
+load_language('help/plugin.lang', UAM_PATH);
 
 $page['global'] = array();
@@ -58,5 +58,5 @@
 // |                      Getting plugin version                           |
 // +-----------------------------------------------------------------------+
-$plugin =  PluginVer(NBC_UAM_PATH);
+$plugin =  PluginInfos(UAM_PATH);
 $version = $plugin['version'] ;
 
@@ -66,10 +66,10 @@
 // +----------------------------------------------------------+
 
-/* Pending because this may cause problems with special characters in emails */
-/*$toolbar = 'Basic';
+/* Available only for ConfirmMail return page customization */
+$toolbar = 'Basic';
 $width = '750px';
 $height = '300px';
 $areas = array();
-array_push( $areas,'UAM_MailInfo_Text','UAM_ConfirmMail_Text','UAM_GhostTracker_ReminderText','UAM_ConfirmMail_ReMail_Txt1','UAM_ConfirmMail_ReMail_Txt2');
+array_push( $areas,'UAM_ConfirmMail_Custom_Txt1','UAM_ConfirmMail_Custom_Txt2');
 
 if (function_exists('set_fckeditor_instance'))
@@ -86,5 +86,5 @@
 
   set_fckeditor_instance($areas, $toolbar, $width, $height);
-}*/
+}
 
 
@@ -144,10 +144,10 @@
       $_POST['UAM_Admin_ConfMail']);
 
-    $conf['nbc_UserAdvManager'] = serialize($newconf_UAM);
+    $conf['UserAdvManager'] = serialize($newconf_UAM);
 
 		$query = '
 	  	UPDATE '.CONFIG_TABLE.'
-	  	SET value="'.addslashes($conf['nbc_UserAdvManager']).'"
-	  	WHERE param="nbc_UserAdvManager"
+	  	SET value="'.addslashes($conf['UserAdvManager']).'"
+	  	WHERE param="UserAdvManager"
 	  	LIMIT 1
 	  	;';
@@ -160,4 +160,8 @@
 
     $_POST['UAM_ConfirmMail_ReMail_Txt2'] = str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_ReMail_Txt2']));
+    
+    $_POST['UAM_ConfirmMail_Custom_Txt1'] = str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Custom_Txt1']));
+    
+    $_POST['UAM_ConfirmMail_Custom_Txt2'] = str_replace("\'", "'", str_replace("\\\\", "\\", $_POST['UAM_ConfirmMail_Custom_Txt2']));
 
 
@@ -167,12 +171,14 @@
       $_POST['UAM_ConfirmMail_ReMail_Txt1'],
       $_POST['UAM_ConfirmMail_Remail'],
-      $_POST['UAM_ConfirmMail_ReMail_Txt2']);
-
-    $conf['nbc_UserAdvManager_ConfirmMail'] = serialize($newconf_UAM_ConfirmMail);
+      $_POST['UAM_ConfirmMail_ReMail_Txt2'],
+      $_POST['UAM_ConfirmMail_Custom_Txt1'],
+      $_POST['UAM_ConfirmMail_Custom_Txt2']);
+
+    $conf['UserAdvManager_ConfirmMail'] = serialize($newconf_UAM_ConfirmMail);
     
 	  $query = '
       UPDATE '.CONFIG_TABLE.'
-			SET value="'.addslashes($conf['nbc_UserAdvManager_ConfirmMail']).'"
-			WHERE param="nbc_UserAdvManager_ConfirmMail"
+			SET value="'.addslashes($conf['UserAdvManager_ConfirmMail']).'"
+			WHERE param="UserAdvManager_ConfirmMail"
 			LIMIT 1
 		;';
@@ -194,5 +200,5 @@
   }
 
-  $conf_UAM = unserialize($conf['nbc_UserAdvManager']);
+  $conf_UAM = unserialize($conf['UserAdvManager']);
 
 /* Group setting for unvalidated and validated users */
@@ -289,5 +295,5 @@
   $nb_para2=(isset($_POST["nb_para2"])) ? $_POST["nb_para2"]:"";
 
-  $conf_UAM_ConfirmMail = unserialize($conf['nbc_UserAdvManager_ConfirmMail']);
+  $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
   
   $template->assign(
@@ -296,5 +302,5 @@
     'nb_para2'                       => $nb_para2,
     'UAM_VERSION'                    => $version,
-    'NBC_UAM_PATH'                   => NBC_UAM_PATH,
+    'UAM_PATH'                       => UAM_PATH,
 		'UAM_MAIL_INFO_TRUE'             => $conf_UAM[0]=='true' ?  'checked="checked"' : '' ,
 		'UAM_MAIL_INFO_FALSE'            => $conf_UAM[0]=='false' ?  'checked="checked"' : '' ,
@@ -339,4 +345,6 @@
     'UAM_CONFIRMMAIL_REMAIL_TXT1'		 => $conf_UAM_ConfirmMail[2],
     'UAM_CONFIRMMAIL_REMAIL_TXT2'		 => $conf_UAM_ConfirmMail[4],
+    'UAM_CONFIRMMAIL_CUSTOM_TXT1'		 => $conf_UAM_ConfirmMail[5],
+    'UAM_CONFIRMMAIL_CUSTOM_TXT2'		 => $conf_UAM_ConfirmMail[6],
     )
   );
@@ -401,8 +409,8 @@
 		  while($row = mysql_fetch_assoc($result))
 		  {
-			  $conf_nbc_MailExclusion = preg_split("/[\s,]+/",$conf_UAM[13]);
-			  for ($i = 0 ; $i < count($conf_nbc_MailExclusion) ; $i++)
+			  $conf_MailExclusion = preg_split("/[\s,]+/",$conf_UAM[13]);
+			  for ($i = 0 ; $i < count($conf_MailExclusion) ; $i++)
 			  {
-					$pattern = '/'.$conf_nbc_MailExclusion[$i].'/';
+					$pattern = '/'.$conf_MailExclusion[$i].'/';
 				  if (preg_match($pattern, $row['mail_address']))
 				  {
@@ -457,5 +465,5 @@
   case 'userlist':
   
-  $conf_UAM = unserialize($conf['nbc_UserAdvManager']);
+  $conf_UAM = unserialize($conf['UserAdvManager']);
   
   if (isset($conf_UAM[20]) and $conf_UAM[20]=='true')
@@ -570,5 +578,5 @@
         array(
           'UAM_VERSION' => $version,
-          'NBC_UAM_PATH'=> NBC_UAM_PATH,
+          'UAM_PATH'    => UAM_PATH,
           )
         );
@@ -618,7 +626,7 @@
   case 'usermanager':
 
-  $conf_UAM = unserialize($conf['nbc_UserAdvManager']);
-
-  $conf_UAM_ConfirmMail = unserialize($conf['nbc_UserAdvManager_ConfirmMail']);
+  $conf_UAM = unserialize($conf['UserAdvManager']);
+
+  $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
 	
   if (isset($conf_UAM[2]) and $conf_UAM[2]=='true' and ((isset($conf_UAM[3]) and $conf_UAM[3] <> '-1') or (isset($conf_UAM[9]) and $conf_UAM[9] <> '-1')) and isset($conf_UAM_ConfirmMail[0]) and $conf_UAM_ConfirmMail[0]=='true')
@@ -1135,6 +1143,6 @@
     $template->assign(
       array(
-        'UAM_VERSION'      => $version,
-        'NBC_UAM_PATH'     => NBC_UAM_PATH,
+        'UAM_VERSION'  => $version,
+        'UAM_PATH'     => UAM_PATH,
       )
     );
@@ -1172,5 +1180,5 @@
   case 'ghosttracker':
 
-  $conf_UAM = unserialize($conf['nbc_UserAdvManager']);
+  $conf_UAM = unserialize($conf['UserAdvManager']);
 	
   if (isset($conf_UAM[17]) and $conf_UAM[17]=='true')
@@ -1491,6 +1499,6 @@
       $template->assign(
         array(
-          'UAM_VERSION'      => $version,
-          'NBC_UAM_PATH'     => NBC_UAM_PATH,
+          'UAM_VERSION'  => $version,
+          'UAM_PATH'     => UAM_PATH,
         )
       );
Index: extensions/NBC_UserAdvManager/trunk/admin/ghosttracker.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/ghosttracker.tpl	(revision 5105)
+++ extensions/NBC_UserAdvManager/trunk/admin/ghosttracker.tpl	(revision 5181)
@@ -2,5 +2,5 @@
 {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"template-common/lib/plugins/jquery.cluetip.packed.js"}
 
-{html_head}<link rel="stylesheet" type="text/css" href="{$NBC_UAM_PATH}admin/uam.css">{/html_head}
+{html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/uam.css">{/html_head}
 
 <script type="text/javascript">
Index: extensions/NBC_UserAdvManager/trunk/admin/global.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 5105)
+++ extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 5181)
@@ -2,5 +2,5 @@
 {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"template-common/lib/plugins/jquery.cluetip.packed.js"}
 
-{html_head}<link rel="stylesheet" type="text/css" href="{$NBC_UAM_PATH}admin/uam.css">{/html_head}
+{html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/uam.css">{/html_head}
 
 <script type="text/javascript">
@@ -14,5 +14,5 @@
 
 <script type="text/javascript">
-function nbc_blockToggleDisplay( headerId, contentId )
+function uam_blockToggleDisplay( headerId, contentId )
 {ldelim}
   if (typeof(headerId)=='string')
@@ -38,5 +38,5 @@
 <div id="instructionConfig1" class="instructionBlock" >
 
-  <div id="config1_header" class="instructionBlockHeaderCollapsed" onclick="nbc_blockToggleDisplay('config1_header', 'Config1')">
+  <div id="config1_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('config1_header', 'Config1')">
     <span class="cluetip" title="{'UAM_restricTitle'|translate}|{'UAM_restricTitle_d'|translate}">{'UAM_Title1'|@translate}</span>
   </div>
@@ -96,5 +96,5 @@
 <div id="instructionConfig2" class="instructionBlock" >
     
-  <div id="config2_header" class="instructionBlockHeaderCollapsed" onclick="nbc_blockToggleDisplay('config2_header', 'Config2')">
+  <div id="config2_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('config2_header', 'Config2')">
     <span class="cluetip" title="{'UAM_confirmTitle'|translate}|{'UAM_confirmTitle_d'|translate}">{'UAM_Title2'|@translate}</span>
   </div>
@@ -235,4 +235,33 @@
 -->
         </ul>
+<br><hr><br>
+
+{if $UAM_CONFIRM_MAIL_TRUE}
+        <li><label class="cluetip" title="{'UAM_confirmmail_custom1'|translate}|{'UAM_confirmmail_custom1_d'|translate}">{'UAM_confirmmail_custom_Txt1'|@translate}</label><br><br>
+          <textarea name="UAM_ConfirmMail_Custom_Txt1" id="UAM_ConfirmMail_Custom_Txt1" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT1}</textarea><br>
+        </li>
+{if 'FCK_PATH'|@defined}
+  <div style="text-align:right;">
+    <a href="#" onClick="toogleEditor('UAM_ConfirmMail_Custom_Txt1'); return false;">FCK Editor On/Off</a>
+  </div>
+{/if}
+        
+        <li><label class="cluetip" title="{'UAM_confirmmail_custom2'|translate}|{'UAM_confirmmail_custom2_d'|translate}">{'UAM_confirmmail_custom_Txt2'|@translate}</label><br><br>
+          <textarea name="UAM_ConfirmMail_Custom_Txt2" id="UAM_ConfirmMail_Custom_Txt2" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT2}</textarea><br>
+        </li>
+{if 'FCK_PATH'|@defined}
+  <div style="text-align:right;">
+    <a href="#" onClick="toogleEditor('UAM_ConfirmMail_Custom_Txt2'); return false;">FCK Editor On/Off</a>
+  </div>
+{/if}
+{else}
+        <li><label class="cluetip" title="{'UAM_confirmmail_custom1'|translate}|{'UAM_confirmmail_custom1_d'|translate}">{'UAM_confirmmail_custom_Txt1'|@translate}</label><br><br>
+          <textarea name="UAM_ConfirmMail_Custom_Txt1" id="UAM_ConfirmMail_Custom_Txt1" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT1}</textarea><br><br>
+        </li>
+
+        <li><label class="cluetip" title="{'UAM_confirmmail_custom2'|translate}|{'UAM_confirmmail_custom2_d'|translate}">{'UAM_confirmmail_custom_Txt2'|@translate}</label><br><br>
+          <textarea name="UAM_ConfirmMail_Custom_Txt2" id="UAM_ConfirmMail_Custom_Txt2" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT2}</textarea><br><br>
+        </li>
+{/if}
       </ul>
     </fieldset>
@@ -243,5 +272,5 @@
 <div id="instructionConfig3" class="instructionBlock" >
 
-  <div id="config3_header" class="instructionBlockHeaderCollapsed" onclick="nbc_blockToggleDisplay('config3_header', 'Config3')">
+  <div id="config3_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('config3_header', 'Config3')">
     <span class="cluetip" title="{'UAM_miscTitle'|translate}|{'UAM_miscTitle_d'|translate}">{'UAM_Title3'|@translate}</span>
   </div>
@@ -292,5 +321,5 @@
 <div id="instructionTips" class="instructionBlock" >
     
-  <div id="Tips_header" class="instructionBlockHeaderCollapsed" onclick="nbc_blockToggleDisplay('Tips_header', 'Tips')">
+  <div id="Tips_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('Tips_header', 'Tips')">
     <span class="cluetip" title="{'UAM_tipsTitle'|translate}|{'UAM_tipsTitle_d'|translate}">{'UAM_Title4'|@translate}</span>
   </div>
@@ -298,5 +327,5 @@
   <div id="Tips" class="instructionBlockContent" style="display:none">
     <fieldset>
-      <div id="Tips1_header" class="instructionBlockHeaderCollapsed" onclick="nbc_blockToggleDisplay('Tips1_header', 'Tips1')">
+      <div id="Tips1_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('Tips1_header', 'Tips1')">
         <span>{'UAM_Tips1'|@translate}</span>
       </div>
@@ -314,4 +343,4 @@
   var n1=document.getElementById("nb_para").value ;
   var n2=document.getElementById("nb_para2").value;
-   nbc_blockToggleDisplay(n1,n2 );
+   uam_blockToggleDisplay(n1,n2 );
 </script>
Index: extensions/NBC_UserAdvManager/trunk/admin/userlist.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/userlist.tpl	(revision 5105)
+++ extensions/NBC_UserAdvManager/trunk/admin/userlist.tpl	(revision 5181)
@@ -2,5 +2,5 @@
 {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"template-common/lib/plugins/jquery.cluetip.packed.js"}
 
-{html_head}<link rel="stylesheet" type="text/css" href="{$NBC_UAM_PATH}admin/uam.css">{/html_head}
+{html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/uam.css">{/html_head}
 
 <script type="text/javascript">
Index: extensions/NBC_UserAdvManager/trunk/admin/usermanager.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/usermanager.tpl	(revision 5105)
+++ extensions/NBC_UserAdvManager/trunk/admin/usermanager.tpl	(revision 5181)
@@ -2,5 +2,5 @@
 {known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"template-common/lib/plugins/jquery.cluetip.packed.js"}
 
-{html_head}<link rel="stylesheet" type="text/css" href="{$NBC_UAM_PATH}admin/uam.css">{/html_head}
+{html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/uam.css">{/html_head}
 
 <script type="text/javascript">